Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136116 - should not look in /usr/ucb for compilers on Solaris
should not look in /usr/ucb for compilers on Solaris
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: TBD
Assigned To: Thomas Preisler
issues@cnd
61fixes2-fixed
:
Depends on:
Blocks: 142780
  Show dependency treegraph
 
Reported: 2008-05-30 00:21 UTC by Thomas Preisler
Modified: 2008-08-04 12:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2008-05-30 00:21:01 UTC
/usr/ucb contains a special cc compiler that is not supported by our project system. /usr/ucb/cc is a legacy compiler
that is rarely used. We should not add it to the default of set of compiler sets.
Comment 1 Thomas Preisler 2008-05-30 01:15:49 UTC
Fixed:

changeset 3295dfdf629b in main
details: http://hg.netbeans.org/main?cmd=changeset;node=3295dfdf629b
description:
	136116 should not look in /usr/ucb/bin for compilers on Solaris

QA: To test this fix, run on a Solaris machine with /usr/ucb/cc and verify the compiler set SunUCB is not created by default. It is still possible to manually 
create a compiler set from /usr/ucb but you will have manually name it and chose it's family. SunUCB is no longer a choice as a family.
Comment 2 Alexander Pepin 2008-06-04 16:40:16 UTC
verified in trunk build 20080604
Comment 3 jinb 2008-06-09 16:16:34 UTC
fix backported into release61_fixes branch
http://hg.netbeans.org/release61_fixes/rev/b4a91cfcf61f


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo